#ifndef KRMEANS
#define KRMEANS

#include "head.h"
#include "tools.h"
#include "function.h"
dataset Lloyd(dataset X, dataset C, double m, int maxT);
dataset one_swap_local_search(dataset X, dataset C, dataset candi, double m, double eps,int maxT);
dataset kmeansm(dataset X, int k, double m, int maxT, double OPT);
dataset tmeanspp(dataset X, const int &k, const double &maxd,int z);
dataset Kmeans(dataset X, const int &k);
dataset Approx_KRMeans(dataset X, const int &k, const double &m, int z, double OPT,int T);
dataset kmeansm2(dataset X, int k, double m, double OPT);
#endif